src/Entity/MisPaquetes.php
<?php
/**
 * Created by PhpStorm.
 * User: ernesto
 * Date: 28/7/2019
 * Time: 09:19
 */

namespace App\Entity;


use Doctrine\ORM\Mapping as ORM;

/**
 * Class MisPaquetes
 * @package App\Entity
 * @ORM\Entity(repositoryClass="App\Repository\eliminarPaquetesVencidos")
 * @ORM\Table(name="mispaquetes")
 *
 */
class MisPaquetes
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;
    /**
     * @ORM\ManyToOne(targetEntity="Paquetes", inversedBy="mis_paquetes")
     * @ORM\JoinColumn(name="paquetes_id", referencedColumnName="id",onDelete="CASCADE"))
     */
    protected $paquete;
    /**
     * @ORM\ManyToOne(targetEntity="User", inversedBy="mispaquetes")
     * @ORM\JoinColumn(name="user_id", referencedColumnName="id",onDelete="CASCADE"))
     */
    protected $user;
    /**
     * @ORM\Column(type="float")
     */
    protected $ganancia=0;
    /**
     * @ORM\Column(type="float")
     */
    protected $ganancia_acumulda=0;
    /**
     * @ORM\Column(type="datetime")
     */
    protected $fecha;
    /**
     * @ORM\Column(type="datetime")
     */
    protected $vence;
    /**
     * @ORM\Column(type="datetime")
     */
    protected $fecha_cal;
    /**
     * MisPaquetes constructor.
     */
    public function __construct()
    {
        $this->fecha = new \DateTime();
        $this->vence = new \DateTime();
        $this->fecha_cal = new \DateTime();
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user): void
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }


    /**
     * @return mixed
     */
    public function getPaquete()
    {
        return $this->paquete;
    }

    /**
     * @param mixed $paquete
     */
    public function setPaquete($paquete): void
    {
        $this->paquete = $paquete;
    }

    /**
     * @return mixed
     */
    public function getGanancia()
    {
        return $this->ganancia;
    }

    /**
     * @param mixed $ganancia
     */
    public function setGanancia($ganancia): void
    {
        $this->ganancia = $ganancia;
    }

    /**
     * @return mixed
     */
    public function getFecha()
    {
        return $this->fecha;
    }

    /**
     * @param mixed $fecha
     */
    public function setFecha($fecha): void
    {
        $this->fecha = $fecha;
    }

    /**
     * @return mixed
     */
    public function getVence()
    {
        return $this->vence;
    }

    /**
     * @param mixed $vence
     */
    public function setVence($vence): void
    {
        $this->vence = $vence;
    }

    /**
     * @return mixed
     */
    public function getGananciaAcumulda()
    {
        return $this->ganancia_acumulda;
    }

    /**
     * @param mixed $ganancia_acumulda
     */
    public function setGananciaAcumulda($ganancia_acumulda): void
    {
        $this->ganancia_acumulda = $ganancia_acumulda;
    }

    /**
     * @return mixed
     */
    public function getFechaCal()
    {
        return $this->fecha_cal;
    }

    /**
     * @param mixed $fecha_cal
     */
    public function setFechaCal($fecha_cal): void
    {
        $this->fecha_cal = $fecha_cal;
    }

}

src/Form/MisPaquetesType.php
<?php

namespace App\Form;

use App\Entity\MisPaquetes;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class MisPaquetesType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('ganancia')
            ->add('ganancia_acumulda')
            ->add('fecha',DateType::class,array('label'=>'Fecha', 'widget'=>'single_text', 'attr'=>['class'=>'datepicker']))
            ->add('vence',DateType::class,array('label'=>'Vence', 'widget'=>'single_text', 'attr'=>['class'=>'datepicker']))
            ->add('paquete')
            ->add('user')
        ;
    }
//
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => MisPaquetes::class,
        ]);
    }
}

src/Controller/MisPaquetesController.php
<?php

namespace App\Controller;

use App\Entity\MisPaquetes;
use App\Form\MisPaquetesType;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/mis/paquetes")
 */
class MisPaquetesController extends AbstractController
{
    /**
     * @Route("/", name="mis_paquetes_index", methods={"GET"})
     */
    public function index(): Response
    {
        $misPaquetes = $this->getDoctrine()
            ->getRepository(MisPaquetes::class)
            ->findAll();

        return $this->render('mis_paquetes/index.html.twig', [
            'mis_paquetes' => $misPaquetes,
        ]);
    }

    /**
     * @Route("/new", name="mis_paquetes_new", methods={"GET","POST"})
     */
    public function new(Request $request): Response
    {
        $misPaquete = new MisPaquetes();
        $form = $this->createForm(MisPaquetesType::class, $misPaquete);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->persist($misPaquete);
            $entityManager->flush();

            return $this->redirectToRoute('mis_paquetes_index');
        }

        return $this->render('mis_paquetes/new.html.twig', [
            'mis_paquete' => $misPaquete,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="mis_paquetes_show", methods={"GET"})
     */
    public function show(MisPaquetes $misPaquete): Response
    {
        return $this->render('mis_paquetes/show.html.twig', [
            'mis_paquete' => $misPaquete,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="mis_paquetes_edit", methods={"GET","POST"})
     */
    public function edit(Request $request, MisPaquetes $misPaquete): Response
    {
        $form = $this->createForm(MisPaquetesType::class, $misPaquete);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('mis_paquetes_index', [
                'id' => $misPaquete->getId(),
            ]);
        }

        return $this->render('mis_paquetes/edit.html.twig', [
            'mis_paquete' => $misPaquete,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="mis_paquetes_delete", methods={"DELETE"})
     */
    public function delete(Request $request, MisPaquetes $misPaquete): Response
    {
        if ($this->isCsrfTokenValid('delete'.$misPaquete->getId(), $request->request->get('_token'))) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->remove($misPaquete);
            $entityManager->flush();
        }

        return $this->redirectToRoute('mis_paquetes_index');
    }
}

templates/mis_paquetes/_delete_form.html.twig
<form method="post" action="{{ path('mis_paquetes_delete', {'id': mis_paquete.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_method" value="DELETE">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ mis_paquete.id) }}">
    <button class="btn">Delete</button>
</form>

templates/mis_paquetes/_form.html.twig
<div class="container">
    <div class="row">
            {{ form_start(form) }}
            {{ form_widget(form) }}
            <button class="btn">{{ button_label|default('Save') }}</button>
            {{ form_end(form) }}
    </div>
</div>

templates/mis_paquetes/edit.html.twig
{% extends 'base.html.twig' %}
{% block title %}Edit Mis Paquetes{% endblock %}

{% block body %}
    <h1>Edit MisPaquetes</h1>

    {{ include('mis_paquetes/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('mis_paquetes_index') }}">back to list</a>

    {{ include('mis_paquetes/_delete_form.html.twig') }}
{% endblock %}

templates/mis_paquetes/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Mis Paquetes index{% endblock %}

{% block body %}
    <h1>MisPaquetes index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Usurio</th>
                <th>Ganancia</th>
                <th>Ganancia acumulada</th>
                <th>Fecha</th>
                <th>Vence</th>
                <th>Fecha de calculo</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for mis_paquete in mis_paquetes %}
            <tr>
                <td>{{ mis_paquete.id }}</td>
                <td>{{ mis_paquete.user }}</td>
                <td>{{ mis_paquete.ganancia }}</td>
                <td>{{ mis_paquete.gananciaAcumulda }}</td>
                <td>{{ mis_paquete.fecha ? mis_paquete.fecha|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ mis_paquete.vence ? mis_paquete.vence|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ mis_paquete.FechaCal ? mis_paquete.FechaCal|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('mis_paquetes_show', {'id': mis_paquete.id}) }}">show</a>
                    <a href="{{ path('mis_paquetes_edit', {'id': mis_paquete.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('mis_paquetes_new') }}">Create new</a>
{% endblock %}

templates/mis_paquetes/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New MisPaquetes{% endblock %}

{% block body %}
    <h1>Create new MisPaquetes</h1>

    {{ include('mis_paquetes/_form.html.twig') }}

    <a href="{{ path('mis_paquetes_index') }}">back to list</a>
{% endblock %}

templates/mis_paquetes/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}MisPaquetes{% endblock %}

{% block body %}
    <h1>MisPaquetes</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ mis_paquete.id }}</td>
            </tr>
            <tr>
                <th>Ganancia</th>
                <td>{{ mis_paquete.ganancia }}</td>
            </tr>
            <tr>
                <th>Fecha</th>
                <td>{{ mis_paquete.fecha ? mis_paquete.fecha|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>Vence</th>
                <td>{{ mis_paquete.vence ? mis_paquete.vence|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('mis_paquetes_index') }}">back to list</a>

    <a href="{{ path('mis_paquetes_edit', {'id': mis_paquete.id}) }}">edit</a>

    {{ include('mis_paquetes/_delete_form.html.twig') }}
{% endblock %}